Get Chart by ID
Get a single Chart by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
chart_id
ID of the Chart.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
createdAt
creator
id
library
Allowed values:
libraryConfig
JSON object representing the direct input to a chart library on the front-end.
libraryVersion
Version of the library that the config corresponds to.
For example, if the library uses semver, we might store “1.2.3”, “1.2.3-alpha.1”, ect.
modifiedAt
name
originAutomationStep
The automation step that this chart was created from.
originAutomationStepDataName
The name of the data in originAutomationStep that this chart was created from.
rasterConfig
Config used to generate the rasterized image of the chart in relation to th library that we’re using.
For example, in Plotly, this could be:
{
width: 600
height: 400
scale: 0.5
format: "png"
engine: "kaleido"
}
rasterDownloadUrl
URL to download a rasterized image of the chart.
We store these images in perpetuity in case the library and libraryConfig version of the chart can no longer be rendered.
rasterExternalFileId
originPipelineStepDeprecated
The pipeline step that this chart was created from.
originPipelineStepDataNameDeprecated
The name of the data in originAutomationStep that this chart was created from.
Errors
400
Chart Get Request Bad Request Error
403
Chart Get Request Forbidden Error
404
Chart Get Request Not Found Error
429
Chart Get Request Too Many Requests Error
500
Chart Get Request Internal Server Error